Cairo-dock crashes by theme changing

Bug #521167 reported by Mathouse on 2010-02-12
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Cairo-Dock Core
Critical
Unassigned
cairo-dock (Ubuntu)
Medium
Unassigned

Bug Description

Hello.
I have a problem with cairo-dock when i try to change actual theme to another.
When I choose something and click on apply changes then cairo-dock crashes.
I ran cairo-dock in terminal and it shows this on crash:

x@x:~$ cairo-dock -o
'-o'

 ============================================================================
 Cairo-Dock version: 2.1.3-2
 Compiled date: Feb 7 2010 14:48:28
 Running with OpenGL: 1
 ============================================================================

warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Scooby-Do.so') needs at least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  while opening module '/usr/lib/cairo-dock/libcd_xfce-integration.so' : (libthunar-vfs-1.so.2: cannot open shared object file: No such file or directory)
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Network-Monitor.so') needs at least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
  It will be ignored
OpenGL config summary :
 - bNonPowerOfTwoAvailable : 1
 - bPBufferAvailable : 1
 - direct rendering : 1
 - bTextureFromPixmapAvailable : 1
 - GLX version : 1.4
 - OpenGL version: 2.1.2 NVIDIA 190.53
 - OpenGL vendor: NVIDIA Corporation
 - OpenGL renderer: GeForce 6150SE nForce 430/PCI/SSE2

activating pbuffer, usually buggy drivers will crash here ... ok, they are fine enough.
warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
  Plik klucza nie zawiera klucza "scroll speed"
warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
  Plik klucza nie zawiera klucza "scroll accel"
cairo_dock_replace_values_in_conf_file (/home/kokusia/.config/cairo-dock/current_theme/plug-ins/rendering/rendering.conf)
_cd_find_volume_name_from_drive_name: assertion `pDrive != NULL' failed
warning : (applet-gvfs.c:vfs_backend_get_file_info:341)
  gnome_integration : Błąd podczas wyznaczania pliku "/home/kokusia/Pulpit/Bękarty wojny": No such file or directory
(null) -> -1;-1
cairo_dock_search_icon_s_path: assertion `cFileName != NULL' failed
warning : (applet-dbus.c:_cd_dbus_launch_third_party_applets_in_dir:126)
  Wystąpił błąd przy otwieraniu katalogu "/usr/share/cairo-dock/plug-ins/Dbus/third-party": No such file or directory
warning : (applet-dbus.c:_cd_dbus_launch_third_party_applets_in_dir:126)
  Wystąpił błąd przy otwieraniu katalogu "/home/kokusia/.config/cairo-dock/third-party": No such file or directory
cairo_dock_leave_from_main_dock (auto-hide:0)
iNbConfigDialogs <- 1
on_delete_main_gui (0)
iNbConfigDialogs <- 0
cairo_dock_leave_from_main_dock (auto-hide:0)
iNbConfigDialogs <- 1
cairo_dock_set_status_message (Listing themes in '(null)' ...)
cairo_dock_set_status_message ()
2/1/2
cairo_dock_set_status_message ()
cairo_dock_set_status_message (Importing theme Humanity-Dock[2] ...)
cairo-dock: ../../src/xcb_io.c:378: _XAllocID: Assertion `ret != inval_id' failed.
<b>warning : (cairo-dock.c:_cairo_dock_intercept_signal:196)
  Cairo-Dock has crashed (sig 6).
It will be restarted now (cairo-dock -o).
Feel free to report this bug on cairo-dock.org to help improving the dock !
info on the system :
Linux kokusia 2.6.32-02063208-generic #02063208 SMP Wed Feb 10 10:10:27 UTC 2010 x86_64 GNU/Linux
Couldn't guess if it was an applet's fault or not. It may have crashed inside the core or inside a thread
'-o'
</b>
 ============================================================================
 Cairo-Dock version: 2.1.3-2
 Compiled date: Feb 7 2010 14:48:28
 Running with OpenGL: 1
 ============================================================================

warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Scooby-Do.so') needs at least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  while opening module '/usr/lib/cairo-dock/libcd_xfce-integration.so' : (libthunar-vfs-1.so.2: cannot open shared object file: No such file or directory)
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Network-Monitor.so') needs at least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
  It will be ignored
OpenGL config summary :
 - bNonPowerOfTwoAvailable : 1
 - bPBufferAvailable : 1
 - direct rendering : 1
 - bTextureFromPixmapAvailable : 1
 - GLX version : 1.4
 - OpenGL version: 2.1.2 NVIDIA 190.53
 - OpenGL vendor: NVIDIA Corporation
 - OpenGL renderer: GeForce 6150SE nForce 430/PCI/SSE2

activating pbuffer, usually buggy drivers will crash here ... ok, they are fine enough.
warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
  Plik klucza nie zawiera klucza "scroll speed"
warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
  Plik klucza nie zawiera klucza "scroll accel"
cairo_dock_replace_values_in_conf_file (/home/kokusia/.config/cairo-dock/current_theme/plug-ins/rendering/rendering.conf)
_cd_find_volume_name_from_drive_name: assertion `pDrive != NULL' failed
warning : (applet-gvfs.c:vfs_backend_get_file_info:341)
  gnome_integration : Błąd podczas wyznaczania pliku "/home/kokusia/Pulpit/Bękarty wojny": No such file or directory
(null) -> -1;-1
cairo_dock_search_icon_s_path: assertion `cFileName != NULL' failed
cairo_dock_leave_from_main_dock (auto-hide:0)
iNbConfigDialogs <- 1
cairo_dock_set_status_message (Listing themes in '(null)' ...)
2/1/2
cairo_dock_set_status_message ()
cairo_dock_set_status_message ()
cairo_dock_set_status_message (Importing theme Chrome-Round[2] ...)
<b>cairo-dock: Fatal IO error 0 (Success) on X server :0.0.</b>

My kernel: 2.6.32.8 generic
Dekstop manager: GNOME
Cairo-dock version: 2.1.3-2
Ubuntu version: 9.04 - 64bit
Graphics driver: 190.53 - 11.12.2009

lspci:
00:00.0 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: nVidia Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP61 USB Controller (rev a3)
00:02.1 USB Controller: nVidia Corporation MCP61 USB Controller (rev a3)
00:04.0 PCI bridge: nVidia Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: nVidia Corporation MCP61 High Definition Audio (rev a2)
00:06.0 IDE interface: nVidia Corporation MCP61 IDE (rev a2)
00:07.0 Bridge: nVidia Corporation MCP61 Ethernet (rev a2)
00:08.0 IDE interface: nVidia Corporation MCP61 SATA Controller (rev a2)
00:0d.0 VGA compatible controller: nVidia Corporation GeForce 6150SE nForce 430 (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:06.0 Ethernet controller: Marvell Technology Group Ltd. Marvell W8300 802.11 Adapter (rev 07)

Related branches

Download full text (16.1 KiB)

Hi,
thanks for the bug report.
does it happen with "cairo-dock -c" too ?
what if you remove ~/.config/cairo-dock/current_theme and then restart the
dock (to get the default theme) and then try to set another theme ?
does it crash with any theme you try to set ?

2010/2/12 Mathouse <email address hidden>

> Public bug reported:
>
> Hello.
> I have a problem with cairo-dock when i try to change actual theme to
> another.
> When I choose something and click on apply changes then cairo-dock crashes.
> I ran cairo-dock in terminal and it shows this on crash:
>
>
> x@x:~$ cairo-dock -o
> '-o'
>
>
> ============================================================================
> Cairo-Dock version: 2.1.3-2
> Compiled date: Feb 7 2010 14:48:28
> Running with OpenGL: 1
>
> ============================================================================
>
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-Scooby-Do.so') needs at least
> Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> while opening module '/usr/lib/cairo-dock/libcd_xfce-integration.so' :
> (libthunar-vfs-1.so.2: cannot open shared object file: No such file or
> directory)
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-Network-Monitor.so') needs at
> least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
> It will be ignored
> OpenGL config summary :
> - bNonPowerOfTwoAvailable : 1
> - bPBufferAvailable : 1
> - direct rendering : 1
> - bTextureFromPixmapAvailable : 1
> - GLX version : 1.4
> - OpenGL version: 2.1.2 NVIDIA 190.53
> - OpenGL vendor: NVIDIA Corporation
> - OpenGL renderer: GeForce 6150SE nForce 430/PCI/SSE2
>
> activating pbuffer, usually buggy drivers will crash here ... ok, they are
> fine enough.
> warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
> Plik klucza nie zawiera klucza "scroll speed"
> warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
> Plik klucza nie zawiera klucza "scroll accel"
> cairo_dock_replace_values_in_conf_file
> (/home/kokusia/.config/cairo-dock/current_theme/plug-ins/rendering/rendering.conf)
> _cd_find_volume_name_from_drive_name: assertion `pDrive != NULL' failed
> warning : (applet-gvfs.c:vfs_backend_get_file_info:341)
> gnome_integration : Błąd podczas wyznaczania pliku
> "/home/kokusia/Pulpit/Bękarty wojny": No such file or directory
> (null) -> -1;-1
> cairo_dock_search_icon_s_path: assertion `cFileName != NULL' failed
> warning : (applet-dbus.c:_cd_dbus_launch_third_party_applets_in_dir:126)
> Wystąpił błąd przy otwieraniu katalogu
> "/usr/share/cairo-dock/plug-ins/Dbus/third-party": No such file or directory
> warning : (applet-dbus.c:_cd_dbus_launch_third_party_applets_in_dir:126)
> Wystąpił błąd przy otwieraniu katalogu
> "/home/kokusia/.config/cairo-dock/third-party": No such file or directory
> cairo_dock_leave_from_main_dock (auto-hide:0)
> iNbConfigDialogs <- 1
> on_delete_main_gui (0)
> iNb...

Mathouse (dj-mathouse) wrote :

Hi,
yes, it happen also with " -c " parameter.
Here is what terminal shows:

x@x:~$ cairo-dock -c
'-c'

 ============================================================================
 Cairo-Dock version: 2.1.3-2
 Compiled date: Feb 7 2010 14:48:28
 Running with OpenGL: 0
 ============================================================================

warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Scooby-Do.so') needs at least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  while opening module '/usr/lib/cairo-dock/libcd_xfce-integration.so' : (libthunar-vfs-1.so.2: cannot open shared object file: No such file or directory)
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Network-Monitor.so') needs at least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
  It will be ignored
warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
  Plik klucza nie zawiera klucza "scroll speed"
warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
  Plik klucza nie zawiera klucza "scroll accel"
cairo_dock_replace_values_in_conf_file (/home/kokusia/.config/cairo-dock/current_theme/plug-ins/rendering/rendering.conf)
_cd_find_volume_name_from_drive_name: assertion `pDrive != NULL' failed
warning : (applet-gvfs.c:vfs_backend_get_file_info:341)
  gnome_integration : Błąd podczas wyznaczania pliku "/home/kokusia/Pulpit/Bękarty wojny": No such file or directory
cairo_dock_search_icon_s_path: assertion `cFileName != NULL' failed
cairo_dock_leave_from_main_dock (auto-hide:0)
iNbConfigDialogs <- 1
cairo_dock_set_status_message (Listing themes in '(null)' ...)
cairo_dock_set_status_message ()
2/1/2
cairo_dock_set_status_message ()
cairo_dock_set_status_message (Importing theme Clear[2] ...)
cairo-dock: Fatal IO error 0 (Success) on X server :0.0.

But when I removed ~/.config/cairo-dock/current_theme and choose another theme then everything was ok
, so I think that my problem may be marked as solved.

Download full text (10.7 KiB)

hmm, it could be something in your old theme...
what was your previous version ?
Do you still have this theme ? can you reproduce the bug each time you
switch from this theme to another ?
if so, could you please share a tarball of it so that I could try myself ?
Thanks !

2010/2/13 Mathouse <email address hidden>

> Hi,
> yes, it happen also with " -c " parameter.
> Here is what terminal shows:
>
> x@x:~$ cairo-dock -c
> '-c'
>
>
> ============================================================================
> Cairo-Dock version: 2.1.3-2
> Compiled date: Feb 7 2010 14:48:28
> Running with OpenGL: 0
>
> ============================================================================
>
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-Scooby-Do.so') needs at least
> Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> while opening module '/usr/lib/cairo-dock/libcd_xfce-integration.so' :
> (libthunar-vfs-1.so.2: cannot open shared object file: No such file or
> directory)
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-Network-Monitor.so') needs at
> least Cairo-Dock v2.1.4, but Cairo-Dock is in v2.1.3 (2.1.3-2)
> It will be ignored
> warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
> Plik klucza nie zawiera klucza "scroll speed"
> warning : (cairo-dock-config.c:cairo_dock_get_double_key_value:185)
> Plik klucza nie zawiera klucza "scroll accel"
> cairo_dock_replace_values_in_conf_file
> (/home/kokusia/.config/cairo-dock/current_theme/plug-ins/rendering/rendering.conf)
> _cd_find_volume_name_from_drive_name: assertion `pDrive != NULL' failed
> warning : (applet-gvfs.c:vfs_backend_get_file_info:341)
> gnome_integration : Błąd podczas wyznaczania pliku
> "/home/kokusia/Pulpit/Bękarty wojny": No such file or directory
> cairo_dock_search_icon_s_path: assertion `cFileName != NULL' failed
> cairo_dock_leave_from_main_dock (auto-hide:0)
> iNbConfigDialogs <- 1
> cairo_dock_set_status_message (Listing themes in '(null)' ...)
> cairo_dock_set_status_message ()
> 2/1/2
> cairo_dock_set_status_message ()
> cairo_dock_set_status_message (Importing theme Clear[2] ...)
> cairo-dock: Fatal IO error 0 (Success) on X server :0.0.
>
>
> But when I removed ~/.config/cairo-dock/current_theme and choose another
> theme then everything was ok
> , so I think that my problem may be marked as solved.
>
> --
> Cairo-dock crashes by theme changing
> https://bugs.launchpad.net/bugs/521167
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to Cairo-Dock Core.
>
> Status in Cairo-Dock : Core: New
>
> Bug description:
> Hello.
> I have a problem with cairo-dock when i try to change actual theme to
> another.
> When I choose something and click on apply changes then cairo-dock crashes.
> I ran cairo-dock in terminal and it shows this on crash:
>
>
> x@x:~$ cairo-dock -o
> '-o'
>
>
> ==================================...

Mathouse (dj-mathouse) wrote :

I'm not sure but is was probably 2.0.1 from Ubuntu repository.

Unfortunately , the bug is still active.
After reboot my problem comes back.
Every time when i try to change theme cairo-dock crashes.
But when second time removed ".config/cairo-dock/current_theme" then ... everything is ok.
Strange situation.

>Do you still have this theme ? can you reproduce the bug each time you
>switch from this theme to another ?
It's not connected with this one theme which I use - I was changing themes multiple times and everytime was the same situation.
Crash --> rm .config --> everythink ok --> theme changing --> crash ... etc.

----------------------------------------------------------------------------
<B>warning : (cairo-dock.c:_cairo_dock_intercept_signal:196)
  Cairo-Dock has crashed (sig 6).
It will be restarted now (cairo-dock -o).</b>
Feel free to report this bug on cairo-dock.org to help improving the dock !
info on the system :
Linux kokusia 2.6.32-02063208-generic #02063208 SMP Wed Feb 10 10:10:27 UTC 2010 x86_64 GNU/Linux
Couldn't guess if it was an applet's fault or not. It may have crashed inside the core or inside a thread
'-o'
-------------------------------------------------------------------------------

I added attachment made by "cairo-dock debug mode" :)

-------------------------------------------------------------------------------

Gary (garycai997) wrote :

I also experienced this problem. However, when I tried to run cairo-dock from gnome-terminal, it asked me if I wanted to use OpenGL. I clicked "yes" and now it doesn't crash on theme changes.

I'm using GNOME in Arch Linux x64 and running version 2.1.3-1 of cairo-dock and version 1.6.3.1-2 of cairo-dock-themes

Mathouse (dj-mathouse) wrote :

Maybe it's a specific problem for x64 architecture ?
Cause I've got it too /My girlfriend/.
On my both i386 - HP notebook /ubuntu 9.10/ and PC /ubuntu 9.04/ - this problem does not exist.

>and version 1.6.3.1-2 of cairo-dock-themes
Gary , did you mean "cairo-dock-plugins" ?;)

Matthieu Baerts (matttbe) wrote :

@ Gary, don't use this too old package ! "cairo-dock-themes" no longer exists for 2 years.

@ Mathouse, do you have this bug with all themes?

I think there is a bug in the config files of "Clear" :-/
@ Fabounet, I add the ddd backtrace ;)

Mathouse (dj-mathouse) wrote :

Yes Matthieu, this unfortunately happens with all themes.

I just recognized that cairo-dock sometimes after bug shows something like "cannot render..." but it disappear too fast to write it here.

Fabounet (fabounet03) wrote :

ok so after some tests this seems related to the 64bits.
which I don't have at home ...
so could it be possible to make a list of theme pairs that provoke the crash ?
like : theme A to theme B : safe/not safe

Then I might be able to see if an applet is involved in all the crash.
Thanks for your help.

Changed in cairo-dock-core:
status: New → Confirmed
Julien Lavergne (gilir) on 2010-04-18
Changed in cairo-dock (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in cairo-dock-core:
importance: Undecided → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock - 2.1.3-10-lucid-0ubuntu1

---------------
cairo-dock (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #568083).
  * Fixed some bugs:
   - Fixed a important crash when read several xml data
   - LP: #521167 Cairo-dock crashes by theme changing
   - Fixed a bug with desklets buttons
   - Used icons of the system
   - Fixed a bug when removing a container with OpenGL backend
   - Fixed some typo on some define
   - Fixed a little bug in the drag motion
   - Reduced the disk access for SSD disk
  * Used the official Ubuntu Lucid theme.

  [ Iain Lane ]
  * debian/watch: Update to match current upstream version
 -- Matthieu Baerts (matttbe) <email address hidden> Tue, 20 Apr 2010 02:44:22 +0200

Changed in cairo-dock (Ubuntu):
status: Triaged → Fix Released
Changed in cairo-dock-core:
milestone: none → 2.1.3
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers